# getPlugin

abstract fun getPlugin(id: String): Plugin

Returns a plugin with the specified id if this plugin has been used in the project.

#### Parameters

id

The id of the plugin

#### Throws

UnknownPluginException

When there is no plugin with the given id.

abstract fun <T : Plugin?> getPlugin(type: Class<T>): T

Returns a plugin with the specified type if this plugin has been used in the project.

#### Parameters

type

The type of the plugin

#### Throws

UnknownPluginException

When there is no plugin with the given type.